Subject: Re: [DNSOP] comments on dnsop-qname-minimisation-02

From: Warren Kumari <[email-masked]>
Date: Thu, 04 Jun 2015 00:51:21 +0000

On Wed, Mar 11, 2015 at 12:05 PM Stephane Bortzmeyer <[email-masked]>
wrote:

> On Wed, Mar 11, 2015 at 12:35:29AM -0400,
>  Shumon Huque <[email-masked]> wrote
>  a message of 400 lines which said:
>
> > Are we standardizing on the british spelling of "minimisation" in
> > preference to the americanized "minimization"?
>
> Bikeshedding is postponed until Working Group Last Call :-)
>
>

... speaking of WGLC, what is the status of this?

The recent set of changes and comments all look minor - did I miss
anything, or does this look close to cooked?

W

> > I'd prefer the simpler "The problem statement is described in ..".
> > The term "exposed" in my mind carries a more sensational connotation,
> > but I might be nitpicking.
>
> Advice from english writers here?
>
> > "The idea is to minimize the form of the query name sent by the
> > resolver, by including only the minimum number of rightmost labels
> > needed in outbound queries to authoritative servers. Additional
> > labels are prepended to the query name for subsequent queries as
> > responses and referrals are obtained."
>
> Rigorous but may be too long and convoluted?
>
> > > Under current practice, when a resolver receives the query
> > >    "What is the AAAA record for www.example.com?", it sends to the
> root
> > >    (assuming a cold resolver, whose cache is empty) the very same
> > >    question.
> >
> > "Under current practice" implies a description of what is currently
> > being done before this new resolution method is introduced. When in
> > fact this paragraph is describing the new method.
>
> No, not at all. It describes the current practice. Under the new
> (qname minimisation), the resolver would send only "com" to the root.
>
> > >    To do such minimisation, the resolver needs to know the zone cut
> > >    [[54]RFC2181].  Zone cuts do not necessarily exist at every label
> > >    boundary.  If we take the name www.foo.bar.example, it is possible
> >
> > This makes it sound like minimisation requires a resolver to apriori
> > know the zone cuts. This is not necessarily correct. A resolver can
> > learn the zone cuts in the process of adding labels and doing normal
> > iterative resolution.
>
> Yes, it is explained later.
>
> > One thing this document doesn't make clear is that the algorithm
> > being presented not only minimizes the query name, but also hides
> > the query type until it reaches the target zone (by using the NS
> > query type rather than the actual type).
>
> Do note the use of NS is not mandatory. See section 3, the paragraph
> starting with "Another way to deal with such broken name servers"
> (which you mention later) and also section 3, 1st paragraph about the
> statistics of qtypes.
>
> > This should more precisely define which types of forwarders will get
> > less data. I think you mean the forwarders upstream of the resolver
> > performing qname minimization, rather than forwarders that might exist
> > between the client and the minimizing resolver.
>
> They are not typically called forwarders (see the discussion about
> draft-hoffman-dns-terminology)
>
> > This suggested workaround doesn't help with all forms of broken
> > servers.
>
> Nothing deals with all the brokenness found on the Internet.
>
> _______________________________________________
> DNSOP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dnsop
>

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Fri, 5 Jun 2015 16:50:47 +0200

On Thu, Jun 04, 2015 at 12:51:21AM +0000,
 Warren Kumari <[email-masked]> wrote 

> anything, or does this look close to cooked?

There have been very good feedback in Dallas (basically, to have just
one way of doing things, and to move every option such as
root-optimisation or qtype-preservation, to appendixes), and this
suggested to do some rewriting, which is not published yet. I will do
it, I promise, but it is, IMHO, too early for the WGLC.

---

From: Warren Kumari <[email-masked]>
Date: Fri, 05 Jun 2015 15:04:06 +0000

> it, I promise, but it is, IMHO, too early for the WGLC.

Okey dokey. I've heard a number of people expressing support for the qname
minimization idea (and I'm likely to mumble about it at the TLG meeting),
so I mainly wanted to make sure that it wasn't just stuck in limbo.

I'm happy to help with editing, etc if needed...
W

---

From: Tim Wicinski <[email-masked]>
Date: Fri, 05 Jun 2015 08:07:52 -0700

Stephane,

I think it depends. I seem to remember that there was discussion that 
the WG put an "Experimental" on the draft, which means it could pass 
through quickly and then be revised when there has been some 
implementations and feedback. I'm open for opinions.

tim